## x502api 1.1.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(PROJECT x502api)
set(X502API_VER_MAJOR 1)
set(X502API_VER_MINOR 1)
set(X502API_VER_PATCH 9)
set(X502API_VERSION ${X502API_VER_MAJOR}.${X502API_VER_MINOR}.${X502API_VER_PATCH})

add_definitions(-DX502API_VER_MAJOR=${X502API_VER_MAJOR} -DX502API_VER_MINOR=${X502API_VER_MINOR} -DX502API_VER_PATCH=${X502API_VER_PATCH})


if(WIN32)
    option(LTRAPI_BUILD_BORLAND_LIBS "Make .lib files for Borland C++/C++ Builder compiler" OFF)
    option(LTRAPI_BUILD_MINGW_LIBS "Make .a files for mingw compiler" OFF)
endif(WIN32)


project(${PROJECT} C)



set(X502API_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include)
set(X502API_LIB_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/lib)
set(LTIMER_DIR       ${X502API_LIB_DIR}/ltimer)
set(LCSPEC_DIR       ${X502API_LIB_DIR}/lcspec)
set(X502_LIBS_CMAKE_FILE  ${CMAKE_CURRENT_SOURCE_DIR}/x502libs.cmake)

if(NOT X502_INSTALL_LIB)
    set(X502_INSTALL_LIB        lib)
endif(NOT X502_INSTALL_LIB)
if (NOT X502_INSTALL_INCLUDE)
    set(X502_INSTALL_INCLUDE    include)
endif(NOT X502_INSTALL_INCLUDE)
set(X502_INSTALL_PASCAL     pas)


file(MAKE_DIRECTORY ${X502API_INCLUDE_DIR})
set(X502API_PREPARE_HEADERS ON)

#для GCC устанавливаем повышенный уроень предупреждения компилятора
if(CMAKE_COMPILER_IS_GNUCC)
    set(WARNOPTS
        -Werror=implicit-int -Werror=implicit-function-declaration -Werror=strict-prototypes -Werror=return-type
        -Wall -Wextra
        -Wformat-security -Winit-self -Wstrict-aliasing -Wfloat-equal
        -Wundef -Wshadow -Wunsafe-loop-optimizations -Wpointer-arith -Wcast-align
        -Wwrite-strings  -Wsign-compare -Wlogical-op -Waggregate-return -Winline
        -Wno-unused-parameter -Wno-unused-variable -Wno-aggregate-return)
    add_definitions(${WARNOPTS})
endif(CMAKE_COMPILER_IS_GNUCC)

#при сборке MSVC компилируем runtime-библиотеку статически, чтобы не зависеть от версии
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    foreach(flag_var
            CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
            CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
       if(${flag_var} MATCHES "/MD")
          string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
       endif(${flag_var} MATCHES "/MD")
    endforeach(flag_var)

    #убираем флаг /INCREMENTAL, так как в MSVC с ним могут быть
    #внутренние ошибки линковщика
    foreach(flag_var
            CMAKE_SHARED_LINKER_FLAGS
            CMAKE_SHARED_LINKER_FLAGS_DEBUG
            CMAKE_SHARED_LINKER_FLAGS_RELEASE
            CMAKE_SHARED_LINKER_FLAGS_MINSIZEREL
            CMAKE_SHARED_LINKER_FLAGS_RELWITHDEBINFO
            CMAKE_SHARED_EXE_FLAGS
            CMAKE_SHARED_EXE_FLAGS_DEBUG
            CMAKE_SHARED_EXE_FLAGS_RELEASE
            CMAKE_SHARED_EXE_FLAGS_MINSIZEREL
            CMAKE_SHARED_EXE_FLAGS_RELWITHDEBINFO)
       if(${flag_var} MATCHES "/INCREMENTAL:YES")
          string(REGEX REPLACE "/INCREMENTAL:YES" "/INCREMENTAL:NO" ${flag_var} "${${flag_var}}")
       endif(${flag_var} MATCHES "/INCREMENTAL:YES")
    endforeach(flag_var)
endif(MSVC)


include(${LTIMER_DIR}/ltimer.cmake)

set(SOURCES
    src/x502api.c
    src/x502api_config.c
    src/x502api_errs.c
    src/x502api_streams.c
    src/x502api_async.c
    src/x502api_bf.c
    src/x502api_eeprom.c
    lib/osspec/osspec.c
    lib/crc/fast_crc.c
    ${LTIMER_SOURCES})


set(SETUP_HEADERS
    src/lcard_pstdint.h
    src/x502api.h
    )

set(HEADERS    
    src/l502_bf_cmd_defs.h
    src/lboot_req.h
    src/x502_fpga_regs.h
    src/x502api_private.h
    src/x502_eeprom.h
    src/osspec_cfg.h
    lib/osspec/osspec.h
    src/fast_crc_cfg.h
    ${LTIMER_HEADERS})



include_directories(src lib/crc ${X502API_LIB_DIR}/osspec)


include(${X502_LIBS_CMAKE_FILE})


add_subdirectory(devs)

if(BUILD_EXAMPLES OR BUILD_ALL)
    add_subdirectory(examples/c)
endif(BUILD_EXAMPLES OR BUILD_ALL)

if(BUILD_TESTS)
    add_subdirectory(tests)
endif(BUILD_TESTS)

if(LPCIE_DOCGEN_DIR)
    include(${LPCIE_DOCGEN_DIR}/LDoxyToPdf.cmake)
    set(PDF_IMG_FILES  doc/images/adc_frame.jpeg)
    set(DOC_DOXYGEN_PRJ_FILE doc/Doxyfile.in)
    set(DOXYGEN_INPUT_FILES devs/l502/l502api.h devs/e502/e502api.h src/x502api.h  doc/mainpage.md doc/about.md doc/setup.md doc/gen_descr.md)
    ADD_DOXY_TO_PDF_TARGET(x502api)
endif(LPCIE_DOCGEN_DIR)

#цели для сборки пакетов
if(UNIX AND CMAKE_EXT_INCLUDE_DIR)
    set(PACKAGE_NAME     ${PROJECT})
    set(PACKAGE_VERSION  ${X502API_VERSION})
    set(PACKAGE_ARCH_INSTALL_FILE ${PACKAGE_NAME}.install)
    include(${CMAKE_EXT_INCLUDE_DIR}/packages/packages.cmake)
endif(UNIX AND CMAKE_EXT_INCLUDE_DIR)



if(WIN32 AND LCARD_SDK_MAKE_INSTALLER)
    include(win_install/winpaths.cmake)

    set(X502API_CONVERTED_SOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/conv_src)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x64)
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x86)
    file(MAKE_DIRECTORY ${X502API_CONVERTED_SOURCE_DIR})

    string(REGEX REPLACE "/" "\\\\" ICONV ${ICONV})
    string(REGEX REPLACE "/" "\\\\" X502API_CONVERTED_SOURCE_DIR ${X502API_CONVERTED_SOURCE_DIR})
    set(X502API_ORIG_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
    string(REGEX REPLACE "/" "\\\\" X502API_ORIG_SOURCE_DIR ${X502API_ORIG_SOURCE_DIR})

    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win_install/conv_src_cp1251.bat.in
                   ${CMAKE_CURRENT_BINARY_DIR}/conv_src_cp1251.bat @ONLY)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win_install/make64.bat.in
               ${CMAKE_CURRENT_BINARY_DIR}/x64/make.bat @ONLY)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win_install/make32.bat.in
               ${CMAKE_CURRENT_BINARY_DIR}/x86/make.bat @ONLY)
    add_custom_target(convert_src
        COMMAND cmd /c conv_src_cp1251.bat
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

    add_custom_target(x502api_64
        COMMAND cmd /c make.bat
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x64
        DEPENDS convert_src)

    #x86 версию собираем 2008 студией (Express) для совместимости с Win2000
    #set(VS2008_SETENV "${VS2008_DIR}/vcvarsall.bat")
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x86)
    add_custom_target(x502api_32
        COMMAND cmd /c make.bat
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x86
        DEPENDS convert_src
        )
endif()

=== devs/CMakeLists.txt ===
add_subdirectory(e502)
add_subdirectory(l502)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(x502_rdy_cntr_tst)

=== devs/e502/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(PROJECT e502api)
project(${PROJECT} C)

option(E502API_LIBUSB_DEBUG "Print debug messages from libusb" OFF)

if(WIN32)
    option(LIBUSB_INTERNAL "use internal libusb realisation" ON)
    option(ENABLE_BONJOUR  "enable bonjour support" ON)
else(WIN32)
    option(ENABLE_AVAHI  "enable avahi support" ON)
endif(WIN32)

include(${LTIMER_DIR}/ltimer.cmake)

set(SOURCES
    e502api_usb.c
    e502api_tcp.c
    e502api.c
    e502api_eth_config.c
    ${LTIMER_SOURCES}
    ${X502API_LIB_DIR}/osspec/osspec.c
    )



set(SETUP_HEADERS e502api.h)
    
set(HEADERS
    ${LTIMER_HEADERS}
    e502_fpga_regs.h
    e502_cm4_defs.h
    e502_eth_config.h
    e502api_private.h
    e502api_tcp_private.h
    e502_tcp_protocol.h)

set(LIBS
    x502api
    ${LTIMER_LIBS})

if(E502API_LIBUSB_DEBUG)
    set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} LIBUSB_DEBUG)
endif(E502API_LIBUSB_DEBUG)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(LIBUSB_INTERNAL) 
    include(CheckStructHasMember)
    check_struct_has_member("struct timespec" tv_sec time.h HAVE_STRUCT_TIMESPEC LANGUAGE C)
    if(HAVE_STRUCT_TIMESPEC)
        add_definitions(-DHAVE_STRUCT_TIMESPEC)
    endif(HAVE_STRUCT_TIMESPEC)
    # использование внутренней реализации libusb, а не внешеней библиотеки
    # используется под windows, так как стандартная версия c WinUSB драйвером
    # имеет проблемны при отмене трансферов
    include_directories(libusb-1.0 libusb-1.0/msvc)
    set(SOURCES ${SOURCES}
        libusb-1.0/core.c
        libusb-1.0/descriptor.c
        libusb-1.0/hotplug.c
        libusb-1.0/io.c
        libusb-1.0/strerror.c
        libusb-1.0/sync.c
        libusb-1.0/os/poll_windows.c
        libusb-1.0/os/threads_windows.c
        libusb-1.0/os/windows_usb.c
        )

    set(HEADERS ${HEADERS}
        libusb-1.0/libusb.h
        libusb-1.0/libusbi.h
        libusb-1.0/hotplug.h
        libusb-1.0/version.h
        libusb-1.0/version_nano.h
        libusb-1.0/os/poll_windows.h
        libusb-1.0/os/threads_windows.h
        libusb-1.0/os/windows_common.h
        libusb-1.0/msvc/config.h
        libusb-1.0/msvc/errno.h
        libusb-1.0/msvc/inttypes.h
        libusb-1.0/msvc/missing.h
        libusb-1.0/msvc/stdint.h
        )
else()
    #ищем libusb-1.0
    find_package(LibUSB REQUIRED)
    include_directories(${LIBUSB_INCLUDE_DIR})
    set(LIBS ${LIBS} ${LIBUSB_LIBRARIES})
endif()

if(ENABLE_BONJOUR)
    find_package(DNSSD REQUIRED)
    include_directories(${DNSSD_INCLUDE_DIRS})
    set(LIBS ${LIBS} ${DNSSD_LIBRARIES})
    set(SOURCES ${SOURCES} e502api_dnssd.c)
    set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} ENABLE_BONJOUR ENABLE_DNSSD)
endif(ENABLE_BONJOUR)

if(ENABLE_AVAHI)
    find_package(Avahi REQUIRED)
    include_directories(${AVAHI_INCLUDE_DIRS})
    set(LIBS ${LIBS} ${AVAHI_LIBRARIES})
    set(SOURCES ${SOURCES} e502api_dnssd.c)
    set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} ENABLE_AVAHI ENABLE_DNSSD)
endif(ENABLE_AVAHI)


include_directories(${X502API_LIB_DIR}/osspec)

if(WIN32)
    #подключение библиотеки для работы с сокетами
    set(LIBS ${LIBS} Ws2_32)
endif(WIN32)

include(${X502_LIBS_CMAKE_FILE})


if(UNIX)
    if(NOT UDEV_RULES_DIR)
        set(UDEV_RULES_DIR lib/udev/rules.d)
    endif(NOT UDEV_RULES_DIR)

    install(FILES e502.rules DESTINATION ${UDEV_RULES_DIR})
endif(UNIX)

=== devs/l502/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(PROJECT l502api)
project(${PROJECT} C)


include(${LTIMER_DIR}/ltimer.cmake)

set(SOURCES
    l502api.c
    l502api_compat.c
    l502api_eeprom.c
    l502api_bf.c
    ${LTIMER_SOURCES}
    )
    
set(SETUP_HEADERS
    l502api.h
    l502api_compat.h)

set(HEADERS
    l502api_private.h
    lpcie_ioctls.h
    ${LTIMER_HEADERS})

set(LIBS
    x502api
    ${LTIMER_LIBS})


if(WIN32)
    #В Windows используем setupapi для нахождения устройства
    set(LIBS ${LIBS} setupapi)
    set(SOURCES ${SOURCES} win/l502_spec.c)
elseif(UNIX)
    set(SOURCES ${SOURCES} linux/l502_spec.c)
endif(WIN32)

include(${X502_LIBS_CMAKE_FILE})

=== examples/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(x502_stream_read)
add_subdirectory(x502_cycle_out)
add_subdirectory(e502_eth_svc_browse)

=== tests/x502_rdy_cntr_tst/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(PROJECT x502_rdy_cntr_tst)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} x502api l502api e502api)

=== examples/c/e502_eth_svc_browse/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DX502API_INCLUDE_DIR=<путь к заголовочным файлам x502api> -DX502API_LIBRARIES_DIR=<путь к файлу линкера x502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT e502_eth_svc_browse)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} x502api e502api)

=== examples/c/x502_cycle_out/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DL502API_INCLUDE_DIR=<путь к заголовочным файлам l502api> -DL502API_LIBRARIES_DIR=<путь к файлу линкера l502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DL502API_INCLUDE_DIR и -DL502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT x502_cycle_out)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} x502api l502api e502api)

if(CMAKE_COMPILER_IS_GNUCC)
    target_link_libraries(${PROJECT} m)
endif(CMAKE_COMPILER_IS_GNUCC)

=== examples/c/x502_stream_read/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DX502API_INCLUDE_DIR=<путь к заголовочным файлам x502api> -DX502API_LIBRARIES_DIR=<путь к файлу линкера x502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT x502_stream_read)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} x502api l502api e502api)

=== examples/c/x502_stream_write/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DX502API_INCLUDE_DIR=<путь к заголовочным файлам x502api> -DX502API_LIBRARIES_DIR=<путь к файлу линкера x502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT x502_stream_write)

project(${PROJECT} C)

set(SOURCES main.c
            lib/osspec/osspec.c)
set(HEADERS lib/osspec/osspec.h
            osspec_cfg.h)



include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

target_link_libraries(${PROJECT} x502api l502api e502api m pthread)

=== debian/changelog ===
x502api (1.1.9) stable; urgency=low

  * Initial Release.

 -- Borisov Alexey <borisov@lcard.ru>  Sat, 31 Mar 2012 12:25:54 +0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure: 
	dh_auto_configure -- -DUDEV_RULES_DIR=/lib/udev/rules.d -DCMAKE_BUILD_TYPE=Release

## x502api 1.1.34

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,25 @@
-cmake_minimum_required(VERSION 2.6)
-
-set(PROJECT x502api)
+cmake_minimum_required(VERSION 2.8.12)
+
+project(x502api C)
+set(PROJECT_VARNAME_PREFIX X502API)
+
+
 set(X502API_VER_MAJOR 1)
 set(X502API_VER_MINOR 1)
-set(X502API_VER_PATCH 9)
+set(X502API_VER_PATCH 34)
 set(X502API_VERSION ${X502API_VER_MAJOR}.${X502API_VER_MINOR}.${X502API_VER_PATCH})
 
 add_definitions(-DX502API_VER_MAJOR=${X502API_VER_MAJOR} -DX502API_VER_MINOR=${X502API_VER_MINOR} -DX502API_VER_PATCH=${X502API_VER_PATCH})
 
-
-if(WIN32)
-    option(LTRAPI_BUILD_BORLAND_LIBS "Make .lib files for Borland C++/C++ Builder compiler" OFF)
-    option(LTRAPI_BUILD_MINGW_LIBS "Make .a files for mingw compiler" OFF)
-endif(WIN32)
-
-
-project(${PROJECT} C)
-
+option(X502API_ENABLE_DEV_L502 "Enable L-502 device support" ON)
+option(X502API_ENABLE_DEV_E502 "Enable E-502 device support" ON)
 
 
 set(X502API_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/include)
 set(X502API_LIB_DIR  ${CMAKE_CURRENT_SOURCE_DIR}/lib)
 set(LTIMER_DIR       ${X502API_LIB_DIR}/ltimer)
 set(LCSPEC_DIR       ${X502API_LIB_DIR}/lcspec)
+set(OSSPEC_DIR       ${X502API_LIB_DIR}/osspec)
 set(X502_LIBS_CMAKE_FILE  ${CMAKE_CURRENT_SOURCE_DIR}/x502libs.cmake)
 
 if(NOT X502_INSTALL_LIB)
@@ -39,14 +36,39 @@
 
 #для GCC устанавливаем повышенный уроень предупреждения компилятора
 if(CMAKE_COMPILER_IS_GNUCC)
-    set(WARNOPTS
+
+    include(CheckCCompilerFlag)
+    set(CHECK_FLAGS
+        -Wall -Wformat-security -Wundef -Wshadow -Wpointer-arith -Wcast-align
+        -Wwrite-strings  -Wsign-compare -Waggregate-return -Winline -Wno-aggregate-return
         -Werror=implicit-int -Werror=implicit-function-declaration -Werror=strict-prototypes -Werror=return-type
-        -Wall -Wextra
-        -Wformat-security -Winit-self -Wstrict-aliasing -Wfloat-equal
-        -Wundef -Wshadow -Wunsafe-loop-optimizations -Wpointer-arith -Wcast-align
-        -Wwrite-strings  -Wsign-compare -Wlogical-op -Waggregate-return -Winline
-        -Wno-unused-parameter -Wno-unused-variable -Wno-aggregate-return)
-    add_definitions(${WARNOPTS})
+        -Wextra -Winit-self -Wstrict-aliasing -Wfloat-equal
+        -Wunsafe-loop-optimizations -Wlogical-op
+        -Wno-unused-parameter -Wno-unused-variable)
+    foreach(CUR_FLAG ${CHECK_FLAGS})
+        # для корректного названия переменной флага заменяем недопустимые
+        # символы - и = в названии флага на _
+        string(REGEX REPLACE "-|=" "_" FLAG_VARNAME FLAG_${CUR_FLAG}_ENABLE)
+
+        CHECK_C_COMPILER_FLAG(${CUR_FLAG} ${FLAG_VARNAME})
+        if(${FLAG_VARNAME})
+            set(COMPILE_FLAGS "${COMPILE_FLAGS} ${CUR_FLAG}")
+        endif()
+    endforeach(CUR_FLAG)
+
+
+
+    CHECK_C_COMPILER_FLAG(-Wl,--no-undefined FLAG_NO_UNDEFINED)
+    if(FLAG_NO_UNDEFINED)
+        set(LINK_FLAGS "${LINK_FLAGS} -Wl,--no-undefined")
+    else(FLAG_NO_UNDEFINED)
+        message(STATUS "LINKER FLAG -Wl,--no-undefined WAS NOT FOUND!")
+    endif(FLAG_NO_UNDEFINED)
+
+    CHECK_C_COMPILER_FLAG(-fvisibility=hidden FLAG_FVISIBILITY)
+    if (FLAG_FVISIBILITY)
+        set(COMPILE_FLAGS "${COMPILE_FLAGS} -fvisibility=hidden")
+    endif(FLAG_FVISIBILITY)
 endif(CMAKE_COMPILER_IS_GNUCC)
 
 #при сборке MSVC компилируем runtime-библиотеку статически, чтобы не зависеть от версии
@@ -81,6 +103,11 @@
 
 
 include(${LTIMER_DIR}/ltimer.cmake)
+set(OSSPEC_USE_MUTEX  ON)
+set(OSSPEC_USE_THREADS OFF)
+set(OSSPEC_USE_EVENTS  OFF)
+include(${OSSPEC_DIR}/osspec.cmake)
+set(X502API_COMPILE_DEFINITIONS ${LTIMER_DEFINITIONS} ${OSSPEC_DEFINITIONS})
 
 set(SOURCES
     src/x502api.c
@@ -90,14 +117,16 @@
     src/x502api_async.c
     src/x502api_bf.c
     src/x502api_eeprom.c
-    lib/osspec/osspec.c
+    src/x502tstp.c
     lib/crc/fast_crc.c
+    ${OSSPEC_SOURCES}
     ${LTIMER_SOURCES})
 
 
 set(SETUP_HEADERS
     src/lcard_pstdint.h
     src/x502api.h
+    src/x502tstp.h
     )
 
 set(HEADERS    
@@ -107,10 +136,13 @@
     src/x502api_private.h
     src/x502_eeprom.h
     src/osspec_cfg.h
-    lib/osspec/osspec.h
     src/fast_crc_cfg.h
+    ${OSSPEC_HEADERS}
     ${LTIMER_HEADERS})
 
+set(LIBS
+    ${LTIMER_LIBS}
+    ${OSSPEC_LIBS})
 
 
 include_directories(src lib/crc ${X502API_LIB_DIR}/osspec)
@@ -133,13 +165,13 @@
     include(${LPCIE_DOCGEN_DIR}/LDoxyToPdf.cmake)
     set(PDF_IMG_FILES  doc/images/adc_frame.jpeg)
     set(DOC_DOXYGEN_PRJ_FILE doc/Doxyfile.in)
-    set(DOXYGEN_INPUT_FILES devs/l502/l502api.h devs/e502/e502api.h src/x502api.h  doc/mainpage.md doc/about.md doc/setup.md doc/gen_descr.md)
+    set(DOXYGEN_INPUT_FILES devs/l502/l502api.h devs/e502/e502api.h src/x502api.h  src/x502tstp.h doc/mainpage.md doc/about.md doc/setup.md doc/gen_descr.md doc/tstp_descr.md)
     ADD_DOXY_TO_PDF_TARGET(x502api)
 endif(LPCIE_DOCGEN_DIR)
 
 #цели для сборки пакетов
 if(UNIX AND CMAKE_EXT_INCLUDE_DIR)
-    set(PACKAGE_NAME     ${PROJECT})
+    set(PACKAGE_NAME     ${PROJECT_NAME})
     set(PACKAGE_VERSION  ${X502API_VERSION})
     set(PACKAGE_ARCH_INSTALL_FILE ${PACKAGE_NAME}.install)
     include(${CMAKE_EXT_INCLUDE_DIR}/packages/packages.cmake)
@@ -148,14 +180,12 @@
 
 
 if(WIN32 AND LCARD_SDK_MAKE_INSTALLER)
-    include(win_install/winpaths.cmake)
-
     set(X502API_CONVERTED_SOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/conv_src)
     file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x64)
     file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x86)
     file(MAKE_DIRECTORY ${X502API_CONVERTED_SOURCE_DIR})
 
-    string(REGEX REPLACE "/" "\\\\" ICONV ${ICONV})
+    string(REGEX REPLACE "/" "\\\\" ICONV_EXEC ${ICONV_EXEC})
     string(REGEX REPLACE "/" "\\\\" X502API_CONVERTED_SOURCE_DIR ${X502API_CONVERTED_SOURCE_DIR})
     set(X502API_ORIG_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
     string(REGEX REPLACE "/" "\\\\" X502API_ORIG_SOURCE_DIR ${X502API_ORIG_SOURCE_DIR})

=== devs/CMakeLists.txt ===
if(X502API_ENABLE_DEV_E502)
    add_subdirectory(e502)
endif(X502API_ENABLE_DEV_E502)

if(X502API_ENABLE_DEV_L502)
    add_subdirectory(l502)
endif(X502API_ENABLE_DEV_L502)

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

add_subdirectory(x502_rdy_cntr_tst)
add_subdirectory(x502_async_inout)

=== devs/e502/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(e502api C)
set(PROJECT_VARNAME_PREFIX E502API)


option(E502API_ENABLE_USB   "enable usb interface support" ON)
option(E502API_ENABLE_TCP   "enable tcp interface support" ON)
option(E502API_ENABLE_DNSSD "enable dns-sd service discovery" ON)

set(OSSPEC_USE_MUTEX ON)
if(E502API_ENABLE_USB)
    option(E502API_LIBUSB_DEBUG "Print debug messages from libusb" OFF)
    if(WIN32)
        option(LIBUSB_INTERNAL "use internal libusb realisation" ON)
    endif(WIN32)
    set(OSSPEC_USE_EVENTS ON)
    set(OSSPEC_USE_THREADS ON)
else(E502API_ENABLE_USB)
    set(OSSPEC_USE_EVENTS OFF)
    set(OSSPEC_USE_THREADS OFF)
endif(E502API_ENABLE_USB)

if (E502API_ENABLE_DNSSD)
    if(WIN32)
        option(ENABLE_BONJOUR  "enable bonjour support" ON)
    else(WIN32)
        option(ENABLE_AVAHI  "enable avahi support" ON)
    endif(WIN32)
endif(E502API_ENABLE_DNSSD)


include(${LTIMER_DIR}/ltimer.cmake)
include(${OSSPEC_DIR}/osspec.cmake)
set(E502API_COMPILE_DEFINITIONS  ${E502API_COMPILE_DEFINITIONS} ${LTIMER_DEFINITIONS} ${OSSPEC_DEFINITIONS})

set(SOURCES
    e502api_usb.c
    e502api_tcp.c
    e502api_dnssd.c
    e502api.c
    e502api_eth_config.c
    ${LTIMER_SOURCES}
    ${OSSPEC_SOURCES}
    )

set(SETUP_HEADERS e502api.h)
    
set(HEADERS
    ${OSSPEC_HEADERS}
    ${LTIMER_HEADERS}
    e502_fpga_regs.h
    e502_cm4_defs.h
    e502_eth_config.h
    e502api_private.h
    e502api_tcp_private.h
    e502_tcp_protocol.h)

set(LIBS
    x502api
    ${LTIMER_LIBS}
    ${OSSPEC_LIBS})

include_directories(${X502API_LIB_DIR}/osspec)

if (E502API_ENABLE_USB)
    set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} ENABLE_USB)

    if(E502API_LIBUSB_DEBUG)
        set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} LIBUSB_DEBUG)
    endif(E502API_LIBUSB_DEBUG)


    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

    if(LIBUSB_INTERNAL)
        include(CheckStructHasMember)
        check_struct_has_member("struct timespec" tv_sec time.h HAVE_STRUCT_TIMESPEC LANGUAGE C)
        if(HAVE_STRUCT_TIMESPEC)
            add_definitions(-DHAVE_STRUCT_TIMESPEC)
        endif(HAVE_STRUCT_TIMESPEC)
        # использование внутренней реализации libusb, а не внешеней библиотеки
        # используется под windows, так как стандартная версия c WinUSB драйвером
        # имеет проблемны при отмене трансферов
        include_directories(libusb-1.0 libusb-1.0/msvc)
        set(SOURCES ${SOURCES}
            libusb-1.0/core.c
            libusb-1.0/descriptor.c
            libusb-1.0/hotplug.c
            libusb-1.0/io.c
            libusb-1.0/strerror.c
            libusb-1.0/sync.c
            libusb-1.0/os/poll_windows.c
            libusb-1.0/os/threads_windows.c
            libusb-1.0/os/windows_usb.c
            )

        set(HEADERS ${HEADERS}
            libusb-1.0/libusb.h
            libusb-1.0/libusbi.h
            libusb-1.0/hotplug.h
            libusb-1.0/version.h
            libusb-1.0/version_nano.h
            libusb-1.0/os/poll_windows.h
            libusb-1.0/os/threads_windows.h
            libusb-1.0/os/windows_common.h
            libusb-1.0/msvc/config.h
            libusb-1.0/msvc/errno.h
            libusb-1.0/msvc/inttypes.h
            libusb-1.0/msvc/missing.h
            libusb-1.0/msvc/stdint.h
            )
    else()
        #ищем libusb-1.0
        find_package(LibUSB REQUIRED)
        include_directories(${LIBUSB_INCLUDE_DIR})
        set(LIBS ${LIBS} ${LIBUSB_LIBRARIES})
    endif()
endif(E502API_ENABLE_USB)


if(E502API_ENABLE_TCP)
    set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} ENABLE_TCP)
    if(WIN32)
        #подключение библиотеки для работы с сокетами
        set(LIBS ${LIBS} Ws2_32)
    endif(WIN32)
endif(E502API_ENABLE_TCP)


if(E502API_ENABLE_DNSSD)
    set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} ENABLE_DNSSD)

    if(ENABLE_BONJOUR)
        find_package(DNSSD REQUIRED)
        include_directories(${DNSSD_INCLUDE_DIRS})
        set(LIBS ${LIBS} ${DNSSD_LIBRARIES})
        set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} ENABLE_BONJOUR)
    endif(ENABLE_BONJOUR)

    if(ENABLE_AVAHI)
        find_package(Avahi REQUIRED)
        include_directories(${AVAHI_INCLUDE_DIRS})
        set(LIBS ${LIBS} ${AVAHI_LIBRARIES})
        set(E502API_COMPILE_DEFINITIONS ${E502API_COMPILE_DEFINITIONS} ENABLE_AVAHI)
    endif(ENABLE_AVAHI)
endif(E502API_ENABLE_DNSSD)


message("e502 libs: ${LIBS}")

include(${X502_LIBS_CMAKE_FILE})


if(UNIX)
    if (E502API_ENABLE_USB)
        if(NOT UDEV_RULES_DIR)
            set(UDEV_RULES_DIR lib/udev/rules.d)
        endif(NOT UDEV_RULES_DIR)

        install(FILES e502.rules DESTINATION ${UDEV_RULES_DIR})
        install(FILES e16.rules DESTINATION ${UDEV_RULES_DIR})
     endif(E502API_ENABLE_USB)
endif(UNIX)

=== devs/l502/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
-set(PROJECT l502api)
-project(${PROJECT} C)
+project(l502api C)
+set(PROJECT_VARNAME_PREFIX L502API)
+
 
 
 include(${LTIMER_DIR}/ltimer.cmake)
@@ -27,6 +28,7 @@
     x502api
     ${LTIMER_LIBS})
 
+set(L502API_COMPILE_DEFINITIONS ${L502API_COMPILE_DEFINITIONS} ${LTIMER_DEFINITIONS})
 
 if(WIN32)
     #В Windows используем setupapi для нахождения устройства

=== examples/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

add_subdirectory(x502_stream_read)
add_subdirectory(x502_dac_cntr_test)
add_subdirectory(e16_dac_cntr_test)
add_subdirectory(e16_overflow_test)
add_subdirectory(x502_ring_mode0_test)
add_subdirectory(x502_cycle_out)
add_subdirectory(e502_eth_svc_browse)
add_subdirectory(e502_timestamp_stream)
add_subdirectory(e16_dac_shift_test)

=== tests/x502_async_inout/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT x502_async_inout)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )



set(OSSPEC_USE_MUTEX  OFF)
set(OSSPEC_USE_THREADS ON)
set(OSSPEC_USE_EVENTS  OFF)
include(${OSSPEC_DIR}/osspec.cmake)
set(COMPILE_DEFINITIONS ${OSSPEC_DEFINITIONS})

set(SOURCES ${SOURCES}
    ${OSSPEC_SOURCES}
    ${LTIMER_SOURCES})

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})



target_link_libraries(${PROJECT} x502api l502api e502api ${OSSPEC_LIBS})

if(COMPILE_DEFINITIONS)
    set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS "${COMPILE_DEFINITIONS}")
endif(COMPILE_DEFINITIONS)

=== tests/x502_rdy_cntr_tst/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(PROJECT x502_rdy_cntr_tst)

project(${PROJECT} C)

set(SOURCES main.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR})
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})

set(TEST_LIBS x502api)
#find_package(Threads REQUIRED)
#set(TEST_LIBS ${CMAKE_THREAD_LIBS_INIT} x502api)
set(COMPILE_DEFINITIONS)
if(X502API_ENABLE_DEV_L502)
    set(TEST_LIBS ${TEST_LIBS} l502api)
    set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} X502API_ENABLE_DEV_L502)
endif(X502API_ENABLE_DEV_L502)
if(X502API_ENABLE_DEV_E502)
    set(TEST_LIBS ${TEST_LIBS} e502api)
    set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} X502API_ENABLE_DEV_E502)
    if(E502API_ENABLE_TCP)
        set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} E502API_ENABLE_TCP)
    endif(E502API_ENABLE_TCP)
    if(E502API_ENABLE_USB)
        set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} E502API_ENABLE_USB)
    endif(E502API_ENABLE_USB)
    if(E502API_ENABLE_DNSSD)
        set(COMPILE_DEFINITIONS ${COMPILE_DEFINITIONS} E502API_ENABLE_DNSSD)
    endif(E502API_ENABLE_DNSSD)
endif(X502API_ENABLE_DEV_E502)

target_link_libraries(${PROJECT} ${TEST_LIBS})

if(COMPILE_DEFINITIONS)
    set_target_properties(${PROJECT_NAME} PROPERTIES COMPILE_DEFINITIONS "${COMPILE_DEFINITIONS}")
endif(COMPILE_DEFINITIONS)

=== examples/c/e16_dac_cntr_test/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DX502API_INCLUDE_DIR=<путь к заголовочным файлам x502api> -DX502API_LIBRARIES_DIR=<путь к файлу линкера x502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT e16_dac_cntr_test)

project(${PROJECT} C)

set(SOURCES main.c ../common/dev_funcs.c ../common/timespec_funcs.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR} ../common)
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})
install(TARGETS ${PROJECT} DESTINATION .)

target_link_libraries(${PROJECT} x502api l502api e502api)

=== examples/c/e16_dac_shift_test/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
#
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DL502API_INCLUDE_DIR=<путь к заголовочным файлам l502api> -DL502API_LIBRARIES_DIR=<путь к файлу линкера l502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
#
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях,
#   то -DL502API_INCLUDE_DIR и -DL502API_LIBRARIES_DIR можно соответственно не указывать
#

cmake_minimum_required(VERSION 2.8.12)

set(PROJECT e16_dac_shift_test)

project(${PROJECT} C)

set(SOURCES main.c ../common/dev_funcs.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR} ../common)
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})
install(TARGETS ${PROJECT} DESTINATION .)

target_link_libraries(${PROJECT} x502api l502api e502api)

if(CMAKE_COMPILER_IS_GNUCC)
    target_link_libraries(${PROJECT} m)
endif(CMAKE_COMPILER_IS_GNUCC)

=== examples/c/e16_overflow_test/CMakeLists.txt ===
# Данный файл описывает проект для системы сборки cmake.
# С помощью cmake из этого файла можно получить нужный make-файл
# для нужно родной системы сборки или проект для нужной среды.
# 
# Для этого, из созданной директории для сборки нужно вызвать:
#
# cmake -DX502API_INCLUDE_DIR=<путь к заголовочным файлам x502api> -DX502API_LIBRARIES_DIR=<путь к файлу линкера x502api (.lib, .a или .so)> -G <имя генератора проекта> <путь к исходникам (данному файлу)>
# 
# списко поддерживаемых генераторов можно получить вызвав cmake без аргументов 
#
# Если заголовки и библиотека/файл линкера лежат в стандартных директориях, 
#   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
# 

cmake_minimum_required(VERSION 2.6)

set(PROJECT e16_overflow_test)

project(${PROJECT} C)

if(MSVC)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:CONSOLE,5.01")
endif(MSVC)
set(SOURCES main.c ../common/dev_funcs.c ../common/timespec_funcs.c)
set(HEADERS )

include_directories(${X502API_INCLUDE_DIR} ../common)
#include_directories(${LTEST_SOURCE_DIR}/../)
link_directories(${X502API_LIBRARIES_DIR})

add_executable(${PROJECT} ${HEADERS} ${SOURCES})
install(TARGETS ${PROJECT} DESTINATION .)

target_link_libraries(${PROJECT} x502api l502api e502api)

=== examples/c/e502_eth_svc_browse/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #   то -DX502API_INCLUDE_DIR и -DX502API_LIBRARIES_DIR можно соответственно не указывать
 # 
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(PROJECT e502_eth_svc_browse)
 
@@ -25,5 +25,6 @@
 link_directories(${X502API_LIBRARIES_DIR})
 
 add_executable(${PROJECT} ${HEADERS} ${SOURCES})
+install(TARGETS ${PROJECT} DESTINATION .)
 
 target_link_libraries(${PROJECT} x502api e502api)

=== debian/changelog ===
x502api (1.1.34) stable; urgency=low

  * Initial Release.

 -- Borisov Alexey <borisov@lcard.ru>  Sat, 31 Mar 2012 12:25:54 +0400

=== debian/control ===
Source: x502api
Priority: optional
Maintainer: Borisov Alexey <borisov@lcard.ru>
Build-Depends: debhelper (>= 8.0.0), cmake, libusb-1.0-0-dev, libavahi-common-dev, libavahi-client-dev
Standards-Version: 3.9.3
Section: libs
Homepage: "http://www.lcard.ru"
Replaces: l502api

Package: libx502api1-dev
Section: libdevel
Architecture: any
Depends: libx502api1 (= ${binary:Version}), 
         libe502api1 (= ${binary:Version}),
         libl502api1 (= ${binary:Version}),
         ${misc:Depends}
Replaces: libl502api1-dev
Description:Library for control L-Card L502/E502 devices
 Library that allow you control L-Card L502 and E502 data acquisition devices.
 .
 This package contains the development files.
 .
 You need these files if you writing your own software. Non-developers likely 
 have little use for this package.

Package: libx502api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library with general function for L-Card L502/E502 devices
 Library that allow you control L-Card L502 and E502 data acquisition devices.
 .
 This package contains the shared object files.
 
Package: libe502api1
Section: libs
Architecture: any
Suggests: avahi-daemon
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Description:Library for control L-Card E502 device
 Library that allow you control L-Card E502 data acquisition devices.
 .
 This package contains the shared object files.

Package: libl502api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control L-Card L502 device
 Library that allow you control L-Card L502 data acquisition devices.
 .
 This package contains the shared object files.
